Bug 26191 - Relocate track_login call in Auth.pm (see 22543)
Summary: Relocate track_login call in Auth.pm (see 22543)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 22543
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-11 11:21 UTC by Marcel de Rooy
Modified: 2020-11-17 09:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06, 19.11.12


Attachments
Bug 26191: Relocate track_login call in Auth.pm (1.48 KB, patch)
2020-08-11 11:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 26191: Relocate track_login call in Auth.pm (1.50 KB, patch)
2020-10-05 15:14 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-08-11 11:21:23 UTC
From bug 22543 comment30:

(In reply to Jonathan Druart from comment #29)
> 2. This code has been put before track_login_daily, is that expected?

No. The track call should be done before.
Comment 1 Marcel de Rooy 2020-08-11 11:30:40 UTC
Created attachment 108052 [details] [review]
Bug 26191: Relocate track_login call in Auth.pm

This is a leftover from bug 22543.
Trivial move.

Test plan:
Do not apply this patch.
Pick a user that has not yet logged in today.
Only login via the opac and immediately check if borrowers.datelastseen did not change.
Apply this patch, restart, flush etc.
Only login via the opac and verify again rightaway (no further opac actions).
Now datelastseen should have been changed already.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2020-10-02 09:44:39 UTC
Still applies, taking liberty to self signoff before we can also rebase this one liner ;)
Comment 3 Martin Renvoize 2020-10-05 15:14:20 UTC
Created attachment 111243 [details] [review]
Bug 26191: Relocate track_login call in Auth.pm

This is a leftover from bug 22543.
Trivial move.

Test plan:
Do not apply this patch.
Pick a user that has not yet logged in today.
Only login via the opac and immediately check if borrowers.datelastseen did not change.
Apply this patch, restart, flush etc.
Only login via the opac and verify again rightaway (no further opac actions).
Now datelastseen should have been changed already.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-10-05 15:14:45 UTC
Passing QA, patch is clear and simple and works as expected.
Comment 5 Jonathan Druart 2020-10-08 09:38:01 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-09 18:32:47 UTC
backported to 20.05.x for 20.05.06
Comment 7 Aleisha Amohia 2020-11-17 03:24:53 UTC
backported to 19.11.x for 19.11.12
Comment 8 Victor Grousset/tuxayo 2020-11-17 09:13:28 UTC
Missing dependencies for 19.05.x, shouldn't affect it.